import Request from '../common/request.js';
let request = new Request().http

// 获取统计数据
export function getStatisticsData(data) {
	return request('/app/task/getTaskCountList', data, 'GET');
}

// 获取统计图表数据
export function getStatisticsChart(data) {
	return request('/store/app/statistics/getChart', data, 'GET');
}

// 导出统计数据
export function exportStatistics(data) {
	return request('/store/app/statistics/export', data, 'GET');
}

// 获取统计数据汇总
export function getStatisticsSummary(data) {
	return request('/store/app/statistics/getSummary', data, 'GET');
}

// 获取任务类型统计
export function getTaskTypeStatistics(data) {
	return request('/app/common/getTaskTypeData', data, 'POST', 'application/json;charset=UTF-8');
}

// 获取任务状态统计
export function getTaskStatusStatistics(data) {
	return request('/store/app/statistics/getTaskStatusStatistics', data, 'GET');
}














